package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName order_info
 */
@TableName(value ="order_info")
@Data
public class OrderInfo implements Serializable {
    /**
     * 订单id
     */
    @TableId
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户的总价格
     */
    private BigDecimal orderSum;

    /**
     * 用户实际支付的金额
     */
    private BigDecimal orderZsum;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 优惠的金额
     */
    private BigDecimal couponMublit;

    /**
     * 订单的状态 1未支付 2已支付
     */
    private Integer orderStatus;

    /**
     * 订单的状态 1待发货 2已发放 3代取件 4已取走
     */
    private Integer orderStatusE;

    /**
     * 订单的创建时间
     */
    private Date orderCreateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}