package com.zhentao.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.controller.coupon.dto.CouponDto;
import com.zhentao.domain.Coupon;
import com.zhentao.service.CouponService;
import com.zhentao.mapper.CouponMapper;
import com.zhentao.vo.Result;
import org.springframework.stereotype.Service;

/**
* @author 86183
* @description 针对表【coupon】的数据库操作Service实现
* @createDate 2025-05-10 10:21:48
*/
@Service
public class CouponServiceImpl extends ServiceImpl<CouponMapper, Coupon>
    implements CouponService{

    @Override
    public Result add(CouponDto couponDto) {
        Coupon coupon = new Coupon();
        long l = IdUtil.getSnowflake(1, 1).nextId();
        coupon.setId(l);
        coupon.setCouponMublit(couponDto.getCouponMublit());
        coupon.setCouponC(couponDto.getCouponC());
        coupon.setCouponStatus(couponDto.getCouponStatus());
        boolean save = this.save(coupon);
        if (save){
            return Result.OK("添加成功",null);
        }
        return null;
    }
}




